curl --request POST \
--url https://api.getnexor.ai/api/public/conversions \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"conversion_type_id": "123e4567-e89b-12d3-a456-426614174100",
"lead_id": "123e4567-e89b-12d3-a456-426614174200",
"amount": 85000,
"workflow_run_id": "123e4567-e89b-12d3-a456-426614174400",
"currency": "USD",
"converted_at": "2026-02-01T15:30:00Z",
"metadata": {
"property_unit": "Apt 302",
"broker": "John Smith",
"external_deal_id": "DEAL-1234"
},
"notes": "Client paid in cash, expedited closing.",
"lead_email": "<string>",
"lead_phone": "<string>"
}
'import requests
url = "https://api.getnexor.ai/api/public/conversions"
payload = {
"conversion_type_id": "123e4567-e89b-12d3-a456-426614174100",
"lead_id": "123e4567-e89b-12d3-a456-426614174200",
"amount": 85000,
"workflow_run_id": "123e4567-e89b-12d3-a456-426614174400",
"currency": "USD",
"converted_at": "2026-02-01T15:30:00Z",
"metadata": {
"property_unit": "Apt 302",
"broker": "John Smith",
"external_deal_id": "DEAL-1234"
},
"notes": "Client paid in cash, expedited closing.",
"lead_email": "<string>",
"lead_phone": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
conversion_type_id: '123e4567-e89b-12d3-a456-426614174100',
lead_id: '123e4567-e89b-12d3-a456-426614174200',
amount: 85000,
workflow_run_id: '123e4567-e89b-12d3-a456-426614174400',
currency: 'USD',
converted_at: '2026-02-01T15:30:00Z',
metadata: {property_unit: 'Apt 302', broker: 'John Smith', external_deal_id: 'DEAL-1234'},
notes: 'Client paid in cash, expedited closing.',
lead_email: '<string>',
lead_phone: '<string>'
})
};
fetch('https://api.getnexor.ai/api/public/conversions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"conversion_event": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"conversion_type_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lead_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"currency": "<string>",
"converted_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"master_workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflow_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": {},
"notes": "<string>",
"conversion_types": {
"name": "<string>",
"category": "intermediary",
"fields": [
{
"key": "property_unit",
"label": "Property / Unit",
"type": "text"
}
]
}
}
}Create Conversion Event
Record a conversion event using a lead ID, email address, or phone number. Safety note: A conversion type can asynchronously start a workflow transfer and status change after HTTP 201. A later failure does not roll back the conversion event.
Authorizations
API key for authentication. Keys are prefixed with nxr_live_.
Body
- Option 1
- Option 2
- Option 3
Create a conversion event. The workflow_id, master_workflow_id, and currency are automatically inherited from the conversion type — you typically do not need to provide them.
Conversion type ID. Use GET /conversion-types to list available types. The type's scope (workflow or master workflow) is automatically applied to the event.
"123e4567-e89b-12d3-a456-426614174100"
Lead ID that converted
"123e4567-e89b-12d3-a456-426614174200"
Monetary value of the conversion
85000
Optional workflow run ID for granular attribution to a specific run.
"123e4567-e89b-12d3-a456-426614174400"
Three-character currency override. Defaults to the conversion type currency, then USD.
3"USD"
Conversion time; defaults to the current time.
"2026-02-01T15:30:00Z"
Key-value data for this conversion event. Keys should match the fields[].key values defined on the conversion type (use GET /conversion-types to see each type's field definitions). You may also include arbitrary extra keys for external system data.
{
"property_unit": "Apt 302",
"broker": "John Smith",
"external_deal_id": "DEAL-1234"
}
Free-text notes about this conversion event
"Client paid in cash, expedited closing."